Package org.kie.api.builder

## Interface KieFileSystem

-     public interface KieFileSystem

  KieFileSystem is an in memory file system used to programmatically define the resources composing a KieModule

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `delete​(String... paths)` | Removes the files in the given paths from this KieFileSystem
    `KieFileSystem` | `generateAndWritePomXML​(ReleaseId releaseId)` | Generates a basic maven pom file with the given ReleaseId (groupId, artifactId and version) and adds it to this KieFileSystem
    `byte[]` | `read​(String path)` | Returns the content of the file in the specified path as a byte[]
    `KieFileSystem` | `write​(String path, byte[] content)` | Adds the given content to this KieFileSystem in the specified path
    `KieFileSystem` | `write​(String path, String content)` | Adds the given content to this KieFileSystem in the specified path
    `KieFileSystem` | `write​(String path, Resource resource)` | Adds the given Resource to this KieFileSystem in the specified path
    `KieFileSystem` | `write​(Resource resource)` | Adds the given Resource to this KieFileSystem
    `KieFileSystem` | `writeKModuleXML​(byte[] content)` | Adds the given kmodule.xml file to this KieFileSystem
    `KieFileSystem` | `writeKModuleXML​(String content)` | Adds the given kmodule.xml file to this KieFileSystem
    `KieFileSystem` | `writePomXML​(byte[] content)` | Adds the given pom.xml file to this KieFileSystem
    `KieFileSystem` | `writePomXML​(String content)` | Adds the given pom.xml file to this KieFileSystem

- - ### Method Detail

    - #### generateAndWritePomXML

          KieFileSystem generateAndWritePomXML​(ReleaseId releaseId)

      Generates a basic maven pom file with the given ReleaseId (groupId, artifactId and version) and adds it to this KieFileSystem

    - #### writePomXML

          KieFileSystem writePomXML​(byte[] content)

      Adds the given pom.xml file to this KieFileSystem

    - #### writePomXML

          KieFileSystem writePomXML​(String content)

      Adds the given pom.xml file to this KieFileSystem

    - #### writeKModuleXML

          KieFileSystem writeKModuleXML​(byte[] content)

      Adds the given kmodule.xml file to this KieFileSystem

    - #### writeKModuleXML

          KieFileSystem writeKModuleXML​(String content)

      Adds the given kmodule.xml file to this KieFileSystem

    - #### write

          KieFileSystem write​(String path,
                              byte[] content)

      Adds the given content to this KieFileSystem in the specified path

    - #### write

          KieFileSystem write​(String path,
                              String content)

      Adds the given content to this KieFileSystem in the specified path

    - #### write

          KieFileSystem write​(String path,
                              Resource resource)

      Adds the given Resource to this KieFileSystem in the specified path

    - #### write

          KieFileSystem write​(Resource resource)

      Adds the given Resource to this KieFileSystem

    - #### delete

          void delete​(String... paths)

      Removes the files in the given paths from this KieFileSystem

    - #### read

          byte[] read​(String path)

      Returns the content of the file in the specified path as a byte[]